java 64 bit prevents RSS Owl startup

Help
2011-05-18
2016-05-17
  • Gerry Matte

    Gerry Matte - 2011-05-18

    When I try to start RSS Owl with my default 64 bit Java (1.6_u24), an error
    window displays with jvm error -1.

    By adding a command line option to have RSS Owl load with the 32 bit java, the
    program now starts correctly.

    The option is identical to what is required to use 32 bit Eclipse:

     -vm C:\s\java32\bin\javaw.exe (where my 32 bit java is stored at c:\s\java32)
    
     
  • Majik Fox

    Majik Fox - 2012-01-05

    I am affected by this bug.

    Version: 2.1.2

    Build Id: 2011-08-13

     
  • mythirdaccount

    mythirdaccount - 2013-11-10

    has this never ever been addressed? Maybe only a few people experience it (myself included). The faq page implies that 64bit jvm is no problem.

     
  • Beloroussov-fr

    Beloroussov-fr - 2013-11-10

    I have the same problem :(

     
    • Mannig

      Mannig - 2013-11-11

      Le lundi 11 novembre 2013, 00:42, [rssowl:discussion] écrivait:

      I have the same problem :(

      java 64 bit prevents RSS Owl startup

      Welcome to the Club !

      I posted, some weeks ago (24/10), a report but received no response at all.
      See http://sourceforge.net/p/rssowl/discussion/296910/thread/a534d2e6/#b9eb/f513/405f

      On this post, I explained that I did what was suggested but it changed
      nothing at all. My screen capture shows what I am displayed at erach
      pseudo-startup.

      I think I am to swap to competing software if nobody can fix this up.

      Cordialement,

      --
      Genpatsu ha iranai !
      Vous voulez venir en aide aux réfugiés de Fukushima ?
      http://www.facebook.com/groups/fukushima.hebergements/
      Skype : okinawa761
      Top-posts ou violation de Netiquette = kill file

       
  • Beloroussov-fr

    Beloroussov-fr - 2013-11-24

    It's doesn't work... :(

     
  • jj99

    jj99 - 2013-11-27

    This problem can be successfully solved by simply ensuring Java 32-bit is installed. No additional modifications need to be made to your current installation of Java 64-bit. If you consider Java 32-bit to be a "rot" in your system (audaci's words), then perhaps Rssowl is not the correct RSS reader for you.

    Additionally, if Mozilla still adamantly refuses to release a stable (read: not nightly) 64-bit Firefox client even after YEARS of development and "significant" community backlash, then a Java 32-bit installation will still be necessary for Java-based web applets to be functional. Unless you are a paranoid outlier and have been monitoring the recent security gaffes Oracle has been experiencing in recent memory -- but in that case you would not have any version of Java installed and hence not here.

     
  • Beloroussov-fr

    Beloroussov-fr - 2013-11-29

    You are my savior ! Thank you !

    In more, RSS Owl is very exceptional!

     
    Last edit: Beloroussov-fr 2013-11-29
  • Steve Mittelstaedt

    Is a current unofficial binary of the 64-bit build available anywhere? I'm using the 64-bit Cyberfox browser and RSS Owl is the only thing in my system requiring 32-bit Java.

    What I'm discovering this that the parallel 32-bit and 64-bit Java installs don't seem to play well together on some sites. The scripts freeze.

    There is a dropbox link referenced in another thread with a 64-bit build but it appears to not be the latest release.

     
  • sg2002

    sg2002 - 2016-05-15

    Steve, I've updated build in that archive to the current master.

    Link is the same.

     
  • Steve Mittelstaedt

    Thank you!. Started up fine and I've just deleted my 32-bit Java install.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks